Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 247585 - Adobe Reader has clipboard copy error when IDE is running
Adobe Reader has clipboard copy error when IDE is running
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
8.0.1
PC Windows 7
: P2 (vote)
: 8.0.2
Assigned To: Stanislav Aubrecht
issues@platform
801patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-30 09:13 UTC by bht
Modified: 2014-12-09 04:21 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2014-09-30 09:13:42 UTC
The Acrobat reader shows an error when the user copies data to the clipboard while NetBeans is running.

While NetBeans is not generally known for this interference, other more widely used applications applications are. Please see http://stackoverflow.com/questions/16907978/after-sending-text-to-clipboard-i-get-errors-in-some-programs

There is a message from an Adobe support person without much hope for a solution from their side: https://forums.adobe.com/message/4096817

I stumbled on the clipboard bug WITHOUT using Adobe reader while working between NetBeans within a Windows terminal session and Microsoft Excel. 

True, this might a windows terminal issue, but the cut and paste errors vanished after closing NetBeans and using Notepad++ as the editor.

So perhaps from this you can understand that I am using the Adobe reader issue as a proxy to provide a more reproducible scenario than a windows terminal session etc.. which is less reproducible, but nevertheless more serious for my work than copying text from the Adobe reader :)

Platforms on which this occurs are Windows 7, Windows Server 2008 AND Windows XP.
Comment 1 Stanislav Aubrecht 2014-10-03 10:30:55 UTC
I have reproduced this with a plain Swing application which adds FlavorListener to system clipboard. Even though the listener is empty copying enough data to Windows clipboard or copying the same data very frequently results in MS Windows error message.
Comment 2 Stanislav Aubrecht 2014-10-03 10:34:20 UTC
I've turned the clipboard listener off when the IDE window is in background, hopefully it won't break something else...

core-main f811420f5c99
Comment 3 bht 2014-10-03 23:20:20 UTC
Thanks. Could we have this fix added as candidate to the next IDE patch please.
Comment 4 Quality Engineering 2014-10-07 03:08:24 UTC
Integrated into 'main-silver', will be available in build *201410070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f811420f5c99
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #247585 - don't listen to clipboard changes when the IDE window isn't fronted
Comment 5 Jiri Skrivanek 2014-10-07 09:06:34 UTC
Verified in trunk and added as candidate for next patch.
Comment 6 Stanislav Aubrecht 2014-11-10 14:52:37 UTC
Transplanted to release801 branch as 57915278aec7
Comment 7 Quality Engineering 2014-11-10 23:23:06 UTC
Integrated into 'releases/release801', will be available in build *201411102027* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/57915278aec7
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #247585 - don't listen to clipboard changes when the IDE window isn't fronted
Comment 8 Quality Engineering 2014-12-09 04:21:55 UTC
Integrated into 'main-silver', will be available in build *201412090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b7385956de2d
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #248122 - refined fix for #247585 to be active on Windows only


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo